require File.dirname(__FILE__) + '/../test_helper'

class VotesControllerTest < ActionController::TestCase
  include AuthenticatedTestHelper
  fixtures :users
  fixtures :votes
  fixtures :candidates
  fixtures :polls

  def test_should_get_index
    get :index
    assert_response :success
    assert_not_nil assigns(:votes)
  end

  def test_should_get_new
    get :new
    assert_response :success
  end

  def test_should_create_vote
    login_as :quentin
    assert_difference('Vote.count') do
      post :create, :vote => {:candidate => candidates(:one)}
    end

    assert_redirected_to poll_path(assigns(:vote).candidate.poll)
  end

  def test_should_show_vote
    get :show, :id => votes(:one).id
    assert_response :success
  end

  def test_should_get_edit
    get :edit, :id => votes(:one).id
    assert_response :success
  end

  def test_should_update_vote
    login_as :quentin
    put :update, :id => votes(:one).id, :vote => { }
    assert_redirected_to vote_path(assigns(:vote))
  end

  def test_should_destroy_vote
    assert_difference('Vote.count', -1) do
      delete :destroy, :id => votes(:one).id
    end

    assert_redirected_to votes_path
  end
end
