require File.dirname(__FILE__) + '/../test_helper'

class OpenidTest < ActiveSupport::TestCase
  def test_assoc_type
    c = OpenID::Consumer.new({}, OpenidFu::ActiveRecordStore.new)
    assert_not_nil c
    req = c.begin("http://genki.myopenid.com/")
    #req = c.begin("genki.myopenid.com")
    assert_not_nil req
    assoc = req.instance_variable_get :@assoc
    assert_not_nil assoc
    assert_not_equal 0, assoc.assoc_type
  end

  def test_association
    c = OpenID::Consumer.new({}, OpenidFu::ActiveRecordStore.new)
    assert_not_nil c
    dm = c.send :discovery_manager, "genki.myopenid.com"
    assert_not_nil dm
    s = dm.get_next_service &c.method(:discover)
    assert_not_nil s
    am = c.send :association_manager, s
    assert_not_nil am
    a = am.get_association
    assert_not_nil a
    assert_not_equal '0', a.assoc_type
  end

  def test_ax_fetch
    c = OpenID::Consumer.new({}, OpenidFu::ActiveRecordStore.new)
    assert_not_nil c
    r = c.begin('genki.myopenid.com')
    assert_not_nil r
    axr = OpenID::AX::FetchRequest.new
    assert_not_nil axr
    type = OpenID::AX::AttrTypes.type_uri :email
    axi = OpenID::AX::AttrInfo.new type
    assert_not_nil axi
    axi.required = true
    axr.add axi
    assert r.add_extension(axr)
  end
end
